Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class NullCheckFieldManager

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.FieldManager
            |
            +--com.solarmetric.kodo.runtime.NullCheckFieldManager

All Implemented Interfaces:
  PersistenceCapable.ObjectIdFieldConsumer, PersistenceCapable.ObjectIdFieldManager, PersistenceCapable.ObjectIdFieldSupplier

class NullCheckFieldManager
extends FieldManager

FieldManager that makes sure fields with the null-value attribute store to 'exception' are not null.

Constructor Summary
`NullCheckFieldManager(Object pc, ClassMetaData meta)`

Method Summary
`void` | `storeBooleanField(int field, boolean curVal)`
`void` | `storeByteField(int field, byte curVal)`
`void` | `storeCharField(int field, char curVal)`
`void` | `storeDoubleField(int field, double curVal)`
`void` | `storeFloatField(int field, float curVal)`
`void` | `storeIntField(int field, int curVal)`
`void` | `storeLongField(int field, long curVal)`
`void` | `storeObjectField(int field, Object curVal)`
`void` | `storeShortField(int field, short curVal)`
`void` | `storeStringField(int field, String curVal)`

Methods inherited from class com.solarmetric.kodo.runtime.FieldManager
`fetchBooleanField, fetchByteField, fetchCharField, fetchDoubleField, fetchFloatField, fetchIntField, fetchLongField, fetchObjectField, fetchShortField, fetchStringField`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullCheckFieldManager

    public NullCheckFieldManager(Object pc,
                                 ClassMetaData meta)

Method Detail

### storeBooleanField

    public void storeBooleanField(int field,
                                  boolean curVal)

  Overrides:
    `storeBooleanField` in class `FieldManager`

### storeByteField

    public void storeByteField(int field,
                               byte curVal)

  Overrides:
    `storeByteField` in class `FieldManager`

### storeCharField

    public void storeCharField(int field,
                               char curVal)

  Overrides:
    `storeCharField` in class `FieldManager`

### storeDoubleField

    public void storeDoubleField(int field,
                                 double curVal)

  Overrides:
    `storeDoubleField` in class `FieldManager`

### storeFloatField

    public void storeFloatField(int field,
                                float curVal)

  Overrides:
    `storeFloatField` in class `FieldManager`

### storeIntField

    public void storeIntField(int field,
                              int curVal)

  Overrides:
    `storeIntField` in class `FieldManager`

### storeLongField

    public void storeLongField(int field,
                               long curVal)

  Overrides:
    `storeLongField` in class `FieldManager`

### storeObjectField

    public void storeObjectField(int field,
                                 Object curVal)

  Overrides:
    `storeObjectField` in class `FieldManager`

### storeShortField

    public void storeShortField(int field,
                                short curVal)

  Overrides:
    `storeShortField` in class `FieldManager`

### storeStringField

    public void storeStringField(int field,
                                 String curVal)

  Overrides:
    `storeStringField` in class `FieldManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.